Subject: bug#65608: closed (Re: bug#65608: Fwd: [PATCH] project.el: Use list of strings p for safe local variable)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 Aug 2023 17:55:02 +0000

Your bug report

#65608: Fwd: [PATCH] project.el: Use list of strings p for safe local variable

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65608: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65608
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65608: Fwd: [PATCH] project.el: Use list of strings p for safe local variable
From: Stefan Kangas <[email-masked]>
To: Dmitry Gutov <[email-masked]>
Cc: [email-masked], Joseph Turner <[email-masked]>
Date: Wed, 30 Aug 2023 19:54:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

Dmitry Gutov <[email-masked]> writes:

> On 30/08/2023 10:10, Joseph Turner via Bug reports for GNU Emacs, the
> Swiss army knife of text editors wrote:
> > Stefan Kangas suggested I resend this patch to this mailing list so that
> > it's not lost even though it can't be applied yet.
>
> Just to clarify for posterity: it can't be applied yet because
> list-of-string-p is not in Emacs 26. Or 27 (which we might bump the
> requirement to in not-too-distant future).

Right.  Note that `list-of-strings-p' was added in Emacs 28, though.
So I added a comment to that effect in commit 9647ddb2993, and I'm
closing the bug.

Subject: Fwd: [PATCH] project.el: Use list of strings p for safe local variable
From: Joseph Turner <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 30 Aug 2023 00:10:27 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas suggested I resend this patch to this mailing list so that
it's not lost even though it can't be applied yet.

Joseph Turner <[email-masked]> writes:

> Might make sense to merge this into 29.2?
>
> [2. text/x-diff; 0001-project.el-Use-list-of-strings-p-for-safe-local-vari.patch]...

>From 8237eb21c81b3e5ededd42a3a2d5b9770d45ca92 Mon Sep 17 00:00:00 2001
From: Joseph Turner <[email-masked]>
Date: Fri, 25 Aug 2023 21:31:06 -0700
Subject: [PATCH] project.el: Use list-of-strings-p for safe-local-variable
 predicate

* lisp/progmodes/project.el (project-vc-ignores)
(project-vc-extra-root-markers)
---
 lisp/progmodes/project.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/progmodes/project.el b/lisp/progmodes/project.el
index 8d8bf594628..882173a65d0 100644
--- a/lisp/progmodes/project.el
+++ b/lisp/progmodes/project.el
@@ -397,7 +397,7 @@ the buffer's value of `default-directory'."
 (defcustom project-vc-ignores nil
   "List of patterns to add to `project-ignores'."
   :type '(repeat string))
-;;;###autoload(put 'project-vc-ignores 'safe-local-variable #'listp)
+;;;###autoload(put 'project-vc-ignores 'safe-local-variable #'list-of-strings-p)
 
 (defcustom project-vc-merge-submodules t
   "Non-nil to consider submodules part of the parent project.
@@ -452,7 +452,7 @@ variables, such as `project-vc-ignores' or `project-vc-name'."
   :type '(repeat string)
   :version "29.1"
   :package-version '(project . "0.9.0"))
-;;;###autoload(put 'project-vc-extra-root-markers 'safe-local-variable (lambda (val) (and (listp val) (not (memq nil (mapcar #'stringp val))))))
+;;;###autoload(put 'project-vc-extra-root-markers 'safe-local-variable #'list-of-strings-p)
 
 ;; FIXME: Using the current approach, major modes are supposed to set
 ;; this variable to a buffer-local value.  So we don't have access to
-- 
2.41.0